import { select, arc } from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');
const g = svg.append('g')
	.attr('transform', `translate(${width/2}, ${height/2})`);


const circle = g
	.append('circle')
    .attr('r', height/2)
    .attr('fill', 'yellow')
    .attr('stroke', 'black');

const eyeSpacing = 90;
const eyeYOffset = -70;
const eyeRadius = 30;
const eyeBrowWidth = 100;
const eyeBrowHeight = 15;
const eyebrowYoffset = -70;
const eyesG = g
	.append('g')
		.attr('transform', `translate(0, ${eyeYOffset})`);;

const eyesBrowsG = eyesG
	.append('g')
		.attr('transform', `translate(0, ${eyebrowYoffset})`);

eyesBrowsG
		.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYoffset - 50})`)
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYoffset})`);

const leftEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', - eyeSpacing)
	
const rightEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', + eyeSpacing)

const leftEyeBrow = eyesBrowsG
	.append('rect')
    .attr('x', -eyeSpacing - eyeBrowWidth/2)
    .attr('width', eyeBrowWidth)
    .attr('height', eyeBrowHeight);

const rightEyeBrow = eyesBrowsG
	.append('rect')
    .attr('x', +eyeSpacing - eyeBrowWidth/2)
    .attr('width', eyeBrowWidth)
    .attr('height', eyeBrowHeight)


const mouth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 0,
      outerRadius: 100,
      startAngle: Math.PI/2,
      endAngle: Math.PI * 3/2
  }));